Skip to main content

POST /kv/rest/v1/values REST API Endpoint

Creates a new value (a single key-value pair) in Key-Value Store. Use values to store individual data points such as configuration values, running totals, last-processed block numbers, or cached computed values. Both the key and value are strings. If a value with the specified key already exists, this operation will overwrite the existing value.

Updated on
Jul 16, 2026

Body Parameters

key
string
REQUIRED

A unique identifier for the value

value
string
REQUIRED

The value associated with the specified key

Returns

code
number

Response status code

msg
string

Response message

data
null

No additional data

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free